% MATLAB  uma calculadora completona.

% Ele funciona com comandos, variveis, funes, for, while... parece programao...
%  porque MATLAB funciona com uma linguagem interpretada
% Isto significa que cada comando  interpretado imediatamente na "Command Window" 
%(ela provavelmente est abaixo ou  direita deste texto), 
% ou seja, no  necessrio compilar um programa

% Falando na outra janela... 
% Observe sua tela e veja que alm do editor (janela onde est este
% texto),h:
% Command Window - onde se entra os comandos
% Current folder - onde pararecem os arquivos da past atual
% Workspace - onde ficam as variveis e seus valores (veremos isso j j)
 
% Voltando...
% Se voc digitar um comando no console (Command Window) ele ser interpretado imediatamente
% Isso  til para testar comandos que voc est aprendendo
% Porm,  mais cmodo trabalhar com scripts (isto que voc est lendo)
% Um script  uma sequncia de comandos

%   !!! IMPORTANTE !!!   !!! IMPORTANTE !!!   !!! IMPORTANTE !!!   !!! IMPORTANTE !!!
% Veremos algumas coisas bsicas em MATLAB para nos familiarizar com sua sintaxe atravs de exemplos. 
% Voc deve tentar adaptar o que  feito nos exemplos ao que deseja fazer 
% Sinta-se livre para mudar as coisas nos comandos e para ver o que acontece 
% (no console vai ser mais fcil de testar) 
% Don't worry, vai ser moleza...
%   !!! IMPORTANTE !!!   !!! IMPORTANTE !!!   !!! IMPORTANTE !!!   !!! IMPORTANTE !!!

% Todo comentrio começa com '%'
% Ento, tudo que voc leu at aqui  comentrio
% Comentrios so ignorados pelo interpretador do MATLAB, eles no fazem nada

% Vamos comear...

% Para guardar um escalar em uma varivel  assim:
x = 2

% Ou para guardar um vetor linha...
x = [10 12 33 0.4]

% Aperte F5 - vai rodar o script 

pause % esta coisinha aqui faz o script pausar
% ou seja, quando apertou F5, o script interpretou at a linha acima

% No  necessrio declarar os tipos das variveis (coxa, n?)
% E elas podem mudar de tipo !!!
% Reparou que usamos a mesma varivel para um escalar e para um vetor ?

% Detalhe: 
% quando fizemos x = 2;, x valia 2
% mas quando fizemos x = [10 12 33 0.4];
% o MATLAB ignorou oq tinha em x e escreveu o novo valor passado

% Vamos fazer novamente para voc ver...

% clique no console e apert Ctrl+C (isto para a execuo do script)

% Primeiro, d um duplo clique na varivel x
% Vai abrir o auxiliar de variveis (til para ver o valor de variveis
% edit-las)
% faa x = 2 no console e veja a varivel x
% agora com x = [10 12 33 0.4]

% Viu que outras clulas foram preenchidas?
% E reparou que ainda h um monte vazias?
%  porque em MATLAB tudo  matriz (escalar  matriz 1x1)
% E ele "sabe lidar" com isso sozinho

% Em frente!

% Rode o script novamente (F5)
% porm, quando pausar, aperte qualquer tecla no console em vez de Ctrl+C
% isso resume a execuo

% OU, remova o primeiro "pause" do script

% Vamos fazer um vetor coluna...
y = [10; 88; 1.4; pi; 1+i]

pause
%  /\
% Rodou at aqui...

% Olhe o comando do vetor y com ateno 
% Viu que tem um pi e um nmero complexo ali?
% Pois , eles j esto definidos! 
% No precisa aproximar pi com 3.14 (amm!)

% Detalhe: apenas um nmero  complexo, mas repare que o matlab considerou
% todos eles complexos (colocando parte Im = 0 nos reais)

% Agora uma matriz 3x3
z1 = [1 2 3; 4 5 6; 7 8 9] 
%                /\ /\
% veja que tem " " e ";"

% Mas, uma matriz 3x3 tambm pode ser vista como um vetor coluna 3x1 
% em que cada elemento  um vetor linha 1x3
% Est pasmo(a)? Observe...
z2 = [[1, 2, 3]; [4, 5, 6]; [7, 8, 9]]

% Resuma a execuo e veja z1 e z2 (esto no console)

pause
% rodou at aqui

% Repare que cada linha que rodamos at aqui foi exibida no console
% mas se fizermos muitas contas, ele vai ficar poludo.
% Para evitar isso, use ; ao final dos comandos, assim eles no so
% exibidos.

% veja:
y
y;
% resuma a execuo
pause;
% viu que s apareceu 1 vez?

% E se quisermos exibir um texto?
% Simples!
% funo 'disp', de 'display'
% basta us-la escrevendo o texto entre aspas simples
disp('Hello MATLAB')
% ou, voc pode usar com variveis tambm
disp(x)
% repare que, usando disp, no aparece o nome da varivel

% resuma a execuo (qualquer boto no console)
pause

% Duas coisinhas teis:
    % exclui todas as variveis - til para iniciar um script
    clear
    % limpa a tela - til sempre
    clc

% retome 
pause

% Chega de bobeira, vamos fazer umas contas
a = 2
b = 3

soma = a + b
subtracao = a - b
multiplicacao = a * b
divisao = a / b

% resuma
pause
clc % limpa a tela

% Operaes com matrizes? Foi isso que vc perguntou?
A = [1, 2; 3, 4];
3 * A        % este multiplica cada elemento de A pelo escalar
eye(2,2)     % este  legal,  a matriz identidade 2x2

pause 
% vc j entendeu o fluxo, n? basta ler at um pause, retomar para ver o
% cdigo em ao e assim por diante...

% Veja a diferena destas operaes:
% esta  a multiplicao de matrizes normal
disp(eye(2,2) * A) 
% Ex: I*A = ?

% esta  a multiplicao elemento a elemento 
% o de posio (1,1) multiplica o de (1,1) 
% o de (1,2) multiplica o de (1,2), etc
disp(eye(2,2) .* A)  
%           /\
% Tem um ponto antes do * !!!!!

pause
clc % isso faz o que mesmo?

% Isto  IMPORTANTE !!!
MATRIZ = [1, 3, 5; 7, 9, 11; 13, 15, 17]
MATRIZ = MATRIZ .* MATRIZ % multiplicao elemento a elemento, hein!

pause

% para acessar o elemento de uma matriz...
x = MATRIZ(1, 2) % PEGA o valor da linha 1, coluna 2
MATRIZ(2,3) = 999 % MUDA o valor da linha 2, coluna 3

pause
clc

% Para acabar(UFA!), um FOR... 
% Sim, d pra fazer iterao (:

% mas antes..

%se voc quiser um vetor do tipo [1, 2, ..., 100], faa
v1 = 1:100
pause

% e se eu quiser de 3 em 3 ???
v2 = 1:3:100
pause

% e se eu quise de -1.2 até 7.5 de 0.3 em 0.3 ???
v3 = -1.2:0.3:7.5
pause
clc

% J deu pra pegar o esprito, n?

% Agora sim, o FOR !!!

% em MATLAB, um for  baseado em uma varivel que muda de valor a cada iterao
% (QUE NOVIDADE...)
% o interessante  que os valores que ela assume so os valores de um vetor

% a sintaxe  assim "for p = [1, 3, 10, 20, -4]"

% na primeira iterao, p ser 1, dps 3, dps 10, etc

% vamos tentar
disp ('1 FOR')
for q = [1, 3, 4, -2]
    disp(q)
end

pause

% outro mais legal...
disp ('2 FOR')
for q = 1:10
    disp(q)
end

% entendeu tudo? 
% se sim, good job
% se no, don't worry, veremos mais disso por a...

% FIM
